# Find the package from registry Hive. 
$packageName="APM Insight .NET Agent"
$registry=@("HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall", "HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall")
$productCode=""
foreach ($key in $registry)
{
$valid = Test-Path $key
if(!$valid) {continue}
$value = Get-Item $key 
$subKeys = $value.GetSubKeyNames()
#Write-Host $subKeys
foreach($subkey in $subKeys){
$displayName = $key + '\'+ $subkey
$valid = Test-Path $displayName
#Write-Host "Valid="+$valid +" name ="+$displayName
if(!$valid) {continue}
$subkeyItem = Get-Item $displayName
$subKeyValue = $subkeyItem.GetValue("DisplayName")
#Write-Host $subKeyValue
if($packageName.Equals($subKeyValue)){
Write-Host "Product found : "+$subkey
$test = $subkey
break
}
}
Write-Host $test
$productCode = $test + ' /qn'
}
# Write-Host $productCode
Uninstall-ChocolateyPackage 'Site24x7APMInsightDotNet' 'msi' $productCode